//
//  XBGamer.h
//  Durango
//
//  Created by Josh Buhler on 12/23/12.
//  Copyright (c) 2012 Josh Buhler. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreData/CoreData.h>

@class PlayerAchievement, XBGame;

@interface XBGamer : NSManagedObject

@property (nonatomic, retain) NSString * avatarBody;
@property (nonatomic, retain) NSString * avatarBodySSL;
@property (nonatomic, retain) NSString * avatarLarge;
@property (nonatomic, retain) NSString * avatarLargeSSL;
@property (nonatomic, retain) NSString * avatarSmall;
@property (nonatomic, retain) NSString * avatarSmallSSL;
@property (nonatomic, retain) NSString * avatarTile;
@property (nonatomic, retain) NSString * avatarTileSSL;
@property (nonatomic, retain) NSString * bio;
@property (nonatomic, retain) NSNumber * gamerscore;
@property (nonatomic, retain) NSString * gamertag;
@property (nonatomic, retain) NSNumber * isCheater;
@property (nonatomic, retain) NSNumber * isOnline;
@property (nonatomic, retain) NSNumber * isValid;
@property (nonatomic, retain) NSNumber * kinectLaunchTeam;
@property (nonatomic, retain) NSString * location;
@property (nonatomic, retain) NSString * motto;
@property (nonatomic, retain) NSString * name;
@property (nonatomic, retain) NSNumber * nxeLaunchTeam;
@property (nonatomic, retain) NSString * onlineStatus;
@property (nonatomic, retain) NSNumber * reputation;
@property (nonatomic, retain) NSString * tier;
@property (nonatomic, retain) NSNumber * xblLaunchTeam;
@property (nonatomic, retain) NSString * gamerpic;
@property (nonatomic, retain) NSSet *games;
@property (nonatomic, retain) NSSet *achievements;
@end

@interface XBGamer (CoreDataGeneratedAccessors)

- (void)addGamesObject:(XBGame *)value;
- (void)removeGamesObject:(XBGame *)value;
- (void)addGames:(NSSet *)values;
- (void)removeGames:(NSSet *)values;

- (void)addAchievementsObject:(PlayerAchievement *)value;
- (void)removeAchievementsObject:(PlayerAchievement *)value;
- (void)addAchievements:(NSSet *)values;
- (void)removeAchievements:(NSSet *)values;

@end
